package ai

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/ai"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
)

func GetCenterQueueingHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := ai.NewGetCenterQueueingLogic(r.Context(), svcCtx)
		resp, err := l.GetCenterQueueing()
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
